WARNING - OLD ARCHIVES

This is an archived copy of the Xen.org mailing list, which we have preserved to ensure that existing links to archives are not broken. The live archive, which contains the latest emails, can be found at http://lists.xen.org/
   
 
 
Xen 
 
Home Products Support Community News
 
   
 

xen-devel

[Xen-devel] [PATCH] tools/check: check for yajl (needed by libxl)

To: xen-devel@xxxxxxxxxxxxxxxxxxx
Subject: [Xen-devel] [PATCH] tools/check: check for yajl (needed by libxl)
From: Ian Campbell <ian.campbell@xxxxxxxxxx>
Date: Wed, 5 Oct 2011 10:42:51 +0100
Cc: Andre Przywara <andre.przywara@xxxxxxx>
Delivery-date: Wed, 05 Oct 2011 02:46:10 -0700
Envelope-to: www-data@xxxxxxxxxxxxxxxxxxx
List-help: <mailto:xen-devel-request@lists.xensource.com?subject=help>
List-id: Xen developer discussion <xen-devel.lists.xensource.com>
List-post: <mailto:xen-devel@lists.xensource.com>
List-subscribe: <http://lists.xensource.com/mailman/listinfo/xen-devel>, <mailto:xen-devel-request@lists.xensource.com?subject=subscribe>
List-unsubscribe: <http://lists.xensource.com/mailman/listinfo/xen-devel>, <mailto:xen-devel-request@lists.xensource.com?subject=unsubscribe>
Sender: xen-devel-bounces@xxxxxxxxxxxxxxxxxxx
User-agent: Mercurial-patchbomb/1.6.4
# HG changeset patch
# User Ian Campbell <ian.campbell@xxxxxxxxxx>
# Date 1317807757 -3600
# Node ID be6610d3477ebd77eb37c5961bf19a7afd31676f
# Parent  af62449dc68e952b8efbbb8302bc9ef0c801c9f9
tools/check: check for yajl (needed by libxl)

We need precisely version 1 so check for .so.1. In the future we should handle
yajl v2 as well.

Signed-off-by: Ian Campbell <ian.campbell@xxxxxxxxxx>
---
(note to committer, ensure the new file is executable)

diff -r af62449dc68e -r be6610d3477e tools/check/check_yajl_devel
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/tools/check/check_yajl_devel      Wed Oct 05 10:42:37 2011 +0100
@@ -0,0 +1,8 @@
+#!/bin/sh
+# CHECK-BUILD
+
+. ./funcs.sh
+
+has_header yajl/yajl_parse.h || fail "can't find yajl/yajl_parse.h"
+has_header yajl/yajl_gen.h || fail "can't find yajl/yajl_gen.h"
+has_lib libyajl.so || fail "can't find libyajl.so"
diff -r af62449dc68e -r be6610d3477e tools/check/check_yajl_lib
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/tools/check/check_yajl_lib        Wed Oct 05 10:42:37 2011 +0100
@@ -0,0 +1,6 @@
+#!/bin/sh
+# CHECK-BUILD CHECK-INSTALL
+
+. ./funcs.sh
+
+has_lib libyajl.so.1 || fail "can't find libyajl.so.1 version 1"

_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel